net.sf.jasperreports.engine

## Class JRStyledTextAttributeSelector

- java.lang.Object
- - net.sf.jasperreports.engine.JRStyledTextAttributeSelector

-     public abstract class JRStyledTextAttributeSelector
      extends java.lang.Object

  Selector of element-level styled text attributes for print text objects.
  Version:
    $Id: JRStyledTextAttributeSelector.java 6929 2014-02-25 15:46:46Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRStyledTextUtil.getStyledText(JRPrintText, JRStyledTextAttributeSelector)`, `JRPrintText.getFullStyledText(JRStyledTextAttributeSelector)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRStyledTextAttributeSelector` | `ALL` Deprecated. Replaced by `getAllSelector(JasperReportsContext)`.
    `protected JasperReportsContext` | `jasperReportsContext`
    `static JRStyledTextAttributeSelector` | `NO_BACKCOLOR` Deprecated. Replaced by `getNoBackcolorSelector(JasperReportsContext)`.
    `static JRStyledTextAttributeSelector` | `NONE` Deprecated. Replaced by `getNoneSelector(JasperReportsContext)`.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRStyledTextAttributeSelector(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JRStyledTextAttributeSelector` | `getAllSelector(JasperReportsContext jasperReportsContext)` Selects all styled text attributes, i.e. font attributes plus forecolor and backcolor.
    `static JRStyledTextAttributeSelector` | `getNoBackcolorSelector(JasperReportsContext jasperReportsContext)` Selects all styled text attribute except backcolor, i.e. font attributes plus forecolor.
    `static JRStyledTextAttributeSelector` | `getNoneSelector(JasperReportsContext jasperReportsContext)` Doesn't select any styled text attribute.
    `abstract java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object>` | `getStyledTextAttributes(JRPrintText printText)` Construct a map containing the selected element-level styled text attributes for a print text element.
    `static java.util.Locale` | `getTextLocale(JRPrintText printText)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jasperReportsContext

          protected final JasperReportsContext jasperReportsContext

    - #### ALL

          public static final JRStyledTextAttributeSelector ALL

      Deprecated. Replaced by `getAllSelector(JasperReportsContext)`.

    - #### NO_BACKCOLOR

          public static final JRStyledTextAttributeSelector NO_BACKCOLOR

      Deprecated. Replaced by `getNoBackcolorSelector(JasperReportsContext)`.

    - #### NONE

          public static final JRStyledTextAttributeSelector NONE

      Deprecated. Replaced by `getNoneSelector(JasperReportsContext)`.

  - ### Constructor Detail

    - #### JRStyledTextAttributeSelector

          protected JRStyledTextAttributeSelector(JasperReportsContext jasperReportsContext)

  - ### Method Detail

    - #### getTextLocale

          public static java.util.Locale getTextLocale(JRPrintText printText)

    - #### getStyledTextAttributes

          public abstract java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> getStyledTextAttributes(JRPrintText printText)

      Construct a map containing the selected element-level styled text attributes for a print text element.
      Parameters:
        `printText` - the print text object
      Returns:
        a map containing styled text attributes

    - #### getAllSelector

          public static JRStyledTextAttributeSelector getAllSelector(JasperReportsContext jasperReportsContext)

      Selects all styled text attributes, i.e. font attributes plus forecolor and backcolor.

    - #### getNoBackcolorSelector

          public static JRStyledTextAttributeSelector getNoBackcolorSelector(JasperReportsContext jasperReportsContext)

      Selects all styled text attribute except backcolor, i.e. font attributes plus forecolor.

    - #### getNoneSelector

          public static JRStyledTextAttributeSelector getNoneSelector(JasperReportsContext jasperReportsContext)

      Doesn't select any styled text attribute.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com